<ion-content>
    <ion-grid>
        <ion-row></ion-row>
        <ion-row>
            <div id="logo">
                <!-- <img src='assets/logo.png'> -->
            </div>
        </ion-row>
        <ion-row>
            <div id="welcome" *ngIf="!showForm">
                <p>WELCOME</p>
                <h1>Welcome to SS Admin</h1>
            </div>
            <div id="welcomeOff" *ngIf="showForm">
                <p> Create new account</p>
            </div>
        </ion-row>
        <ion-row>
            <div id="btn" *ngIf="!showForm">
                <ion-button fill="outline" size="large" (click)="showForm=true;">
                    Sign Up with Email
                </ion-button>
                <!-- <ion-button fill="outline" size="large" (click)="goRecovery()">
                    Recover an Account
                </ion-button> -->
            </div>
            <div id="form" *ngIf="showForm">
                <ion-card mode="ios">
                    <ion-card-content>
                        <input placeholder="Email" type="email" (change)="checkInput()" [(ngModel)]="inputDat.email" />
                        <input placeholder="Password" type="password" (change)="checkInput()"
                            [(ngModel)]="inputDat.inputPass" />
                        <input placeholder="Confirm password" type="password" (change)="checkInput()"
                            [(ngModel)]="inputDat.verifPass">
                    </ion-card-content>
                </ion-card>
                <p> {{errorMess}} </p>
                <ion-button fill="clear" (click)="signUp()" *ngIf="!isSignUpClicked">Sign Up</ion-button>
                <div *ngIf="isSignUpClicked" class="loading">
                    <ion-spinner name="dots" color="light"></ion-spinner>
                </div>
                <div id="btnBack" *ngIf="!isSignUpClicked">
                    <p (click)="showForm=false;" tappable>
                        <ion-icon name="arrow-back" mode="ios"></ion-icon>
                        <span>Back</span>
                    </p>
                </div>
            </div>
        </ion-row>
        <ion-row>
            <div id="signin">
                <p>Already have an account? <a tappable (click)="goSignIn()">Sign In</a></p>
            </div>
        </ion-row>
    </ion-grid>
</ion-content>